Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

libthrift outdated #65

Closed
caarlos0 opened this issue Oct 25, 2013 · 2 comments

Comments

@caarlos0
Copy link

commented Oct 25, 2013

I just saw that the project are using libthrift 0.5.0, and the last version is 0.9.1.

Version 0.5.0 isn't available in commom mvn repos, only at twitter mvn repo.

There should not be an issue at all, but, I'm under a corporate proxy with all sort of funny things that a MS-based network can provide, and we also have a nexus mirror. This nexus mirrors seems to not been able to mirror the twitter repo.

Is there any special reason for finatra not use the lastest version of libthrift?

Thanks!

@capotej

This comment has been minimized.

Copy link
Contributor

commented Oct 26, 2013

Looks like it's pulled in via com.twitter:finagle-zipkin_2.10:jar:6.6.2 since Finatra does not depend on thrift directly. Maybe try a maven exclude?

@caarlos0

This comment has been minimized.

Copy link
Author

commented Nov 7, 2013

Didn't work.. I just commented out our nexus and download the deps directly. Worked like a charm.

Thanks!

@caarlos0 caarlos0 closed this Nov 7, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
2 participants
You can’t perform that action at this time.